%% Initial cleanup
clear all;
close all;
clc;

%% Paths and variables
addpath(genpath(pwd));

%% Load the *.mat file
load('test_data.mat');

%% Set the parameters
threshold = 0.025;

%% Detect anomalies (2 features -> visualization)
anomalies = detect_anomalies(feat_matrix(:, [1 2]), threshold);
disp(['Detected: ' num2str(length(anomalies)) ' anomalies']);